Bug 1127139 - [test case] user can create new run when estimated_time is null, while can not create new case when estimated_time is null
Summary: [test case] user can create new run when estimated_time is null, while can no...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Yang Ren
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 08:56 UTC by yangqiu
Modified: 2018-07-04 21:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[test case] user can create new run when estimated_time is null, while can not create new case when estimated_time is null (148.38 KB, image/jpeg)
2014-08-06 08:56 UTC, yangqiu
no flags Details

Description yangqiu 2014-08-06 08:56:54 UTC
Created attachment 924409 [details]
[test case] user can create new run when estimated_time is null, while can not create new case when estimated_time is null

Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1.user create a run when estimated_time is null.
2.user create a case when estimated_time is null.

Actual results:
for step 1: user can save the new run with estimated_time as 0m.
for step 2: user can not save the new case, system will show warning: estimated_time is required.

Expected results:
user can create run and case when estimated_time is null.

Additional info:

Comment 1 yangqiu 2014-08-06 09:38:15 UTC
The issue also happened when invoke TestCase.create to create case without cc, system will return 400 error as follow:

In [25]: case1 = {
    'category': 357,
    'product': 243,
    'summary': 'qiyang test case 111',
    'priority': 1,
    'script': 'qiyang test script',
}
Fault: <Fault 400: ['Invaild estimated_time format.']>

while the document for xmlrpc define the estimated_time is Optional.

Comment 2 jianchen 2014-08-07 02:04:05 UTC
estmiated_time is required in WEBUI, but not required in XMLRPC api. This is origin design. As to "Fault: <Fault 400: ['Invaild estimated_time format.']>", need fix in this version.

Comment 3 jianchen 2014-08-08 06:36:55 UTC
Now the estimated_time is null-able in create page.

Comment 4 Tingting Zhao 2014-08-11 03:14:29 UTC
verify on devel server with tcms3.8.10-1------>pass
verify steps are the same as the description.
Both test case and test run can be created with the estimated time is null.
and the format in xmlrpc api is like 00:00:00


Note You need to log in before you can comment on or make changes to this bug.